Package org.springframework.web

# Class HttpSessionRequiredException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.ServletException
org.springframework.web.HttpSessionRequiredException

All Implemented Interfaces:
  `Serializable`

public class HttpSessionRequiredException extends ServletException
Exception thrown when an HTTP request handler requires a pre-existing session.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HttpSessionRequiredException(String msg)`
Create a new HttpSessionRequiredException.
`HttpSessionRequiredException(String msg, String expectedAttribute)`
Create a new HttpSessionRequiredException.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpectedAttribute()`
Return the name of the expected session attribute, if any.

### Methods inherited from class jakarta.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpSessionRequiredException

public HttpSessionRequiredException(String msg)
Create a new HttpSessionRequiredException.

Parameters:
  `msg` - the detail message

### HttpSessionRequiredException

public HttpSessionRequiredException(String msg, String expectedAttribute)
Create a new HttpSessionRequiredException.

Parameters:
  `msg` - the detail message
  `expectedAttribute` - the name of the expected session attribute
Since:
  4.3

## Method Details

### getExpectedAttribute

@Nullable public String getExpectedAttribute()
Return the name of the expected session attribute, if any.

Since:
  4.3